'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var env = _interopDefault(require('babel-preset-env'));
var restSpread = _interopDefault(require('babel-plugin-transform-object-rest-spread'));

function index (context, {react, targets = {}, modules} = {}) {
  return {
    presets: [
      env(
        null,
        {
          targets: {node: targets.node || 'current', ...targets.browser && {browsers: ['last 2 versions']}},
          ...(false === modules) && {modules: false}
        }
      ),
      react && require('babel-preset-react')
    ].filter(Boolean),
    plugins: [
      [restSpread, {useBuiltIns: true}],
      ...react
        ? [require('babel-plugin-transform-class-properties'), require('babel-plugin-inline-react-svg').default]
        : []
    ]
  };
}

module.exports = index;
//# sourceMappingURL=index.cjs.js.map
